function p.get_mesh() return "bent_ammo_gun_5_large" end
function p.get_mesh2() return "gun_5_incr_capacity" end

function p.payload(level, bp)
    game_upgrades.homing_max_ammo()
    game_bent.remove_perm(level, bp)
end

function p.on_touch(level, bp)
    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Homing Max Ammo"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end

function p.on_telekinesis(level, bp)
    p.payload(level, bp)
end
